# Maintainer: Martchus <martchus@gmx.net>

# All my PKGBUILDs are managed at https://github.com/Martchus/PKGBUILDs where
# you also find the URL of a binary repository.

pkgname=qtutilities
pkgver=6.5.3
pkgrel=1
arch=('x86_64')
pkgdesc='Common Qt related C++ classes and routines used by my applications such as dialogs, widgets and models'
license=('GPL')
depends=('cpp-utilities' 'qt5-base')
makedepends=('cmake' 'ninja' 'qt5-tools' 'mesa')
url="https://github.com/Martchus/$pkgname"
source=("${pkgname}-${pkgver}.tar.gz::https://github.com/Martchus/$pkgname/archive/v$pkgver.tar.gz")
sha512sums=('ab4da2e25a8a5cafcc73930b6132727674d808a80229f53b186d54f61d142cf2229b6e990b6c2fd03ff2f8ec82b13c755a483d1d4d38555081081c00a3f1cd80')

build() {
  cd "$pkgname-$pkgver"
  cmake \
    -G Ninja \
    -DCMAKE_BUILD_TYPE:STRING='Release' \
    -DCMAKE_INSTALL_PREFIX:PATH='/usr' \
    -DBUILD_SHARED_LIBS:BOOL=ON \
    -DBUILTIN_TRANSLATIONS:BOOL=ON \
    .
  ninja
}

check() {
  cd "$pkgname-$pkgver"
  QT_QPA_PLATFORM=offscreen ninja check
}

package() {
  cd "$pkgname-$pkgver"
  DESTDIR="${pkgdir}" ninja install
}
